image: node:20.9.0-alpine3.18
pages:
  cache:
    paths:
      - node_modules/
  stage: deploy
  script:
  - npm install -g @angular/cli@next
  - npm install
  - ng build
  - mkdir -p public
  - mv dist/ctpjv/browser/* public/
  - cp public/index.html public/404.html
  artifacts:
    paths:
      - public
  only:
    - main
